// Project : K-means
// Author : Dario GENGA


#ifndef _FILES_UTILS_H
#define _FILES_UTILS_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/// Open a file.
/// \param file_path The path to the file.
/// \return The pointer of the FILE object.
FILE *open_file(char *file_path, char *mode);

/// Count the number of lines in the file.
/// \param file_path The path to the file.
/// \return The number of line in the file.
int count_file_lines(char *file_path);

/// Remove the newline character in the string. The char must be at the end of the line.
/// \param str The string to modify.
/// \see https://siongui.github.io/2013/01/09/c-remove-string-trailing-newline-carriage-return/
void remove_string_trailing_newline(char *str);

#endif
